# Move base node parameters. For full documentation of the parameters in this file, please see
#
#  http://www.ros.org/wiki/move_base
#
shutdown_costmaps: false # Default false

controller_frequency: 10.0 # Default 20.0
controller_patience: 0.3 # Default 15.0 - I just get impatient

planner_frequency: -1
planner_patience: 0.2 # Default 5.0

oscillation_timeout: 0.0 # Default 0.0, i.e. never
oscillation_distance: 0.5 # Default 0.5

# local planner - default is trajectory rollout
base_local_planner: "teb_local_planner/TebLocalPlannerROS"

base_global_planner: "global_planner/GlobalPlanner" #alternatives: global_planner/GlobalPlanner, carrot_planner/CarrotPlanner, navfn/NavfnROS

# For testing
# This enables me to keep the robot still (stuck) and continually set new 2D Nav goals in RVIZ
# Otherwise it is just looping and won't let me set a new goal.
recovery_behavior_enabled: true
max_planning_retries: 3
